--- old/usr/src/cmd/units/Makefile	Tue Jan  8 12:36:47 2019
+++ new/usr/src/cmd/units/Makefile	Tue Jan  8 12:36:47 2019
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 1989 by Sun Microsystems, Inc.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= units
 UNITTAB=unittab
@@ -31,6 +32,9 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 
+# not linted
+SMATCH=off
+
 LIBUNITTAB= $(UNITTAB:%=$(ROOTSHLIB)/%)
 $(LIBUNITTAB) :=	FILEMODE =	$(LIBFILEMODE)
 
--- old/usr/src/cmd/unlink/Makefile	Tue Jan  8 12:36:49 2019
+++ new/usr/src/cmd/unlink/Makefile	Tue Jan  8 12:36:49 2019
@@ -21,6 +21,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= unlink
 
@@ -30,9 +31,12 @@
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 CERRWARN += -_gcc=-Wno-parentheses
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
-all: $(PROG) 
+all: $(PROG)
 
 install: all $(ROOTUSRSBINPROG)
 	-$(RM) $(ROOTETCPROG)
--- old/usr/src/cmd/utmpd/Makefile	Tue Jan  8 12:36:53 2019
+++ new/usr/src/cmd/utmpd/Makefile	Tue Jan  8 12:36:53 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= utmpd
 DEFAULTFILES= utmpd.dfl
@@ -34,6 +35,8 @@
 
 FILEMODE = 555
 
+SMOFF += signed
+
 .KEEP_STATE:
 
 all: $(PROG)
--- old/usr/src/cmd/vgrind/Makefile	Tue Jan  8 12:36:56 2019
+++ new/usr/src/cmd/vgrind/Makefile	Tue Jan  8 12:36:56 2019
@@ -22,7 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# cmd/vgrind/Makefile
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # These are the objects associated with the overall vgrind command.
@@ -66,6 +66,9 @@
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-unused-function
 
+# not linted
+SMATCH=off
+
 #
 # Message catalog
 #
--- old/usr/src/cmd/vi/misc/Makefile	Tue Jan  8 12:36:59 2019
+++ new/usr/src/cmd/vi/misc/Makefile	Tue Jan  8 12:36:59 2019
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 1989 by Sun Microsystems, Inc.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 CFLAGS += v
 
@@ -36,7 +37,7 @@
 POFILES= $(SRCS:%.c=%.po)
 
 include ../../Makefile.cmd
-$(XPG4) := CFLAGS += -DXPG4 
+$(XPG4) := CFLAGS += -DXPG4
 
 CERRWARN += -_gcc=-Wno-char-subscripts
 CERRWARN += -_gcc=-Wno-parentheses
@@ -44,6 +45,9 @@
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 CERRWARN += -_gcc=-Wno-unused-variable
 
+# way too old
+SMATCH=off
+
 POFILE= misc.po
 
 CLOBBERFILES += $(OTHERPROGS)
--- old/usr/src/cmd/vi/port/Makefile	Tue Jan  8 12:37:02 2019
+++ new/usr/src/cmd/vi/port/Makefile	Tue Jan  8 12:37:02 2019
@@ -23,6 +23,7 @@
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 # cmd/vi/port/Makefile
 
@@ -61,6 +62,9 @@
 CERRWARN += -_gcc=-Wno-uninitialized
 CERRWARN += -_gcc=-Wno-address
 
+# way too old
+SMATCH=off
+
 #
 # For message catalogue files
 #
--- old/usr/src/cmd/volcheck/Makefile	Tue Jan  8 12:37:05 2019
+++ new/usr/src/cmd/volcheck/Makefile	Tue Jan  8 12:37:05 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG =		volcheck
 LOCAL_OBJS =	volcheck.o
@@ -47,6 +48,9 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-unused-function
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(PROG)
--- old/usr/src/cmd/volrmmount/Makefile	Tue Jan  8 12:37:07 2019
+++ new/usr/src/cmd/volrmmount/Makefile	Tue Jan  8 12:37:07 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG =		volrmmount
 LOCAL_OBJS =	volrmmount.o
@@ -47,6 +48,9 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-unused-function
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(PROG)
--- old/usr/src/cmd/vscan/vscand/Makefile	Tue Jan  8 12:37:09 2019
+++ new/usr/src/cmd/vscan/vscand/Makefile	Tue Jan  8 12:37:09 2019
@@ -22,6 +22,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG = vscand
 SRCS =	vs_main.c	\
@@ -46,6 +47,9 @@
 
 CERRWARN += -_gcc=-Wno-switch
 
+# not linted
+SMATCH=off
+
 LINTFLAGS += -mu
 CSTD =       $(CSTD_GNU99)
 C99LMODE =      -Xc99=%all
--- old/usr/src/cmd/wall/Makefile	Tue Jan  8 12:37:11 2019
+++ new/usr/src/cmd/wall/Makefile	Tue Jan  8 12:37:11 2019
@@ -21,7 +21,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# Copyright 2012 Joyent, Inc. All Rights Reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 PROG= wall
@@ -34,9 +34,11 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-uninitialized
 
+SMOFF += leaks
+
 .KEEP_STATE:
 
-all: $(PROG) 
+all: $(PROG)
 
 install: all $(ROOTUSRSBINPROG)
 	-$(RM) $(ROOTETCPROG)
--- old/usr/src/cmd/whodo/amd64/Makefile	Tue Jan  8 12:37:13 2019
+++ new/usr/src/cmd/whodo/amd64/Makefile	Tue Jan  8 12:37:13 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=	whodo
 
@@ -35,6 +36,8 @@
 CFLAGS64	+= $(CCVERBOSE)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+SMOFF += strcpy_overflow
+
 FILEMODE= 04555
 
 .KEEP_STATE:
--- old/usr/src/cmd/write/Makefile	Tue Jan  8 12:37:15 2019
+++ new/usr/src/cmd/write/Makefile	Tue Jan  8 12:37:15 2019
@@ -21,7 +21,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# cmd/write/Makefile
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= write
 
@@ -38,6 +38,8 @@
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-unused-variable
 
+SMOFF += all_func_returns
+
 all: $(PROG)
 
 install: all $(ROOTPROG)
--- old/usr/src/cmd/xargs/Makefile	Tue Jan  8 12:37:18 2019
+++ new/usr/src/cmd/xargs/Makefile	Tue Jan  8 12:37:18 2019
@@ -22,6 +22,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= 			xargs
 # /usr/xpg6/bin/xargs is a symlink to /usr/bin/xargs
@@ -38,6 +39,9 @@
 
 CERRWARN += -_gcc=-Wno-parentheses
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(PROG)
--- old/usr/src/cmd/ypcmd/Makefile	Tue Jan  8 12:37:20 2019
+++ new/usr/src/cmd/ypcmd/Makefile	Tue Jan  8 12:37:20 2019
@@ -22,6 +22,7 @@
 # Copyright 2015 Gary Mills
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 BINPROG = ypmatch ypwhich ypcat
@@ -153,6 +154,9 @@
 CERRWARN +=	-_gcc=-Wno-address
 CERRWARN +=	-_gcc=-Wno-unused-function
 
+# too many unknown types
+SMATCH =	off
+
 #conditional assignments
 ypalias.o :=	CPPFLAGS= -DMAIN $(CPPFLAGS.master)
 makedbm.o :=	CPPFLAGS= $(CPPFLAGS.master)
--- old/usr/src/cmd/ypcmd/mknetid/Makefile	Tue Jan  8 12:37:22 2019
+++ new/usr/src/cmd/ypcmd/mknetid/Makefile	Tue Jan  8 12:37:22 2019
@@ -23,6 +23,7 @@
 # Copyright 1994, 2002 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG = mknetid
 
@@ -37,6 +38,9 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-function
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(PROG) 
--- old/usr/src/cmd/ypcmd/revnetgroup/Makefile	Tue Jan  8 12:37:24 2019
+++ new/usr/src/cmd/ypcmd/revnetgroup/Makefile	Tue Jan  8 12:37:24 2019
@@ -23,6 +23,7 @@
 # Copyright 1996, 2002 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG = revnetgroup
 
@@ -36,6 +37,9 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(PROG)
@@ -46,7 +50,7 @@
 
 install: all $(ROOTUSRSBINPROG)
 
-clean: 
+clean:
 	$(RM) $(OBJS)
 
 lint:
--- old/usr/src/cmd/ypcmd/yppasswd/Makefile	Tue Jan  8 12:37:27 2019
+++ new/usr/src/cmd/ypcmd/yppasswd/Makefile	Tue Jan  8 12:37:27 2019
@@ -21,6 +21,7 @@
 #
 # Copyright (c) 1994, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 NETYPPROG =	rpc.yppasswdd
 DEFAULTFILES =	yppasswdd.dfl
@@ -60,6 +61,9 @@
 CERRWARN +=		-_gcc=-Wno-parentheses
 CERRWARN +=		-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 #
 # Objects shared between all the major components
 #
--- old/usr/src/cmd/ypcmd/ypupdated/Makefile	Tue Jan  8 12:37:29 2019
+++ new/usr/src/cmd/ypcmd/ypupdated/Makefile	Tue Jan  8 12:37:29 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 NETYPPROG =	rpc.ypupdated
 PROG =		$(NETYPPROG)
@@ -55,6 +56,9 @@
 CERRWARN +=		-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=		-_gcc=-Wno-unused-variable
 
+# not linted
+SMATCH=off
+
 CLOBBERFILES += ypupdated_prot.h
 
 #conditional assignments
--- old/usr/src/cmd/zdb/Makefile.com	Tue Jan  8 12:37:32 2019
+++ new/usr/src/cmd/zdb/Makefile.com	Tue Jan  8 12:37:32 2019
@@ -23,7 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 # Copyright (c) 2012 by Delphix. All rights reserved.
-# Copyright 2017 Joyent, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 # Copyright 2017 RackTop Systems.
 #
 
@@ -54,6 +54,8 @@
 CERRWARN += -_gcc=-Wsign-compare
 CERRWARN += -_gcc=-Wmissing-field-initializers
 
+SMOFF += 64bit_shift,all_func_returns
+
 # lint complains about unused _umem_* functions
 LINTFLAGS += -xerroff=E_NAME_DEF_NOT_USED2
 LINTFLAGS64 += -xerroff=E_NAME_DEF_NOT_USED2
--- old/usr/src/cmd/zlogin/Makefile	Tue Jan  8 12:37:33 2019
+++ new/usr/src/cmd/zlogin/Makefile	Tue Jan  8 12:37:33 2019
@@ -21,6 +21,7 @@
 #
 # Copyright (c) 2003, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG = zlogin
 
@@ -33,6 +34,9 @@
 
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(PROG)
--- old/usr/src/cmd/zonecfg/Makefile	Tue Jan  8 12:37:36 2019
+++ new/usr/src/cmd/zonecfg/Makefile	Tue Jan  8 12:37:36 2019
@@ -22,6 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=	zonecfg
 OBJS=	zonecfg.o zonecfg_lex.o zonecfg_grammar.tab.o
@@ -46,6 +47,8 @@
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 
+SMOFF += all_func_returns
+
 CLOBBERFILES += $(PROG).ln
 
 .KEEP_STATE:
--- old/usr/src/cmd/zonestat/zonestat/Makefile	Tue Jan  8 12:37:39 2019
+++ new/usr/src/cmd/zonestat/zonestat/Makefile	Tue Jan  8 12:37:39 2019
@@ -21,6 +21,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG =		zonestat
 SRCS =		zonestat.c
@@ -33,6 +34,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 .PARALLEL:
--- old/usr/src/cmd/zonestat/zonestatd/Makefile	Tue Jan  8 12:37:42 2019
+++ new/usr/src/cmd/zonestat/zonestatd/Makefile	Tue Jan  8 12:37:42 2019
@@ -21,6 +21,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 MANIFEST =	zonestat.xml
 SVCMETHOD =	svc-zonestat
@@ -42,6 +43,9 @@
 CERRWARN 	+= -_gcc=-Wno-unused-label
 CERRWARN 	+= -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 OBJS =		$(SRCS:%.c=%.o)
 
 .KEEP_STATE:
--- old/usr/src/cmd/zstreamdump/Makefile	Tue Jan  8 12:37:45 2019
+++ new/usr/src/cmd/zstreamdump/Makefile	Tue Jan  8 12:37:45 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=		zstreamdump
 OBJS=		zstreamdump.o
@@ -47,6 +48,9 @@
 
 CERRWARN += -_gcc=-Wno-switch
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 .PARALLEL:
--- old/usr/src/cmd/ztest/Makefile.com	Tue Jan  8 12:37:48 2019
+++ new/usr/src/cmd/ztest/Makefile.com	Tue Jan  8 12:37:48 2019
@@ -22,7 +22,7 @@
 # Copyright (c) 2005, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 # Copyright 2017 RackTop Systems.
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= ztest
 OBJS= $(PROG).o
@@ -57,6 +57,9 @@
 
 CERRWARN += -_gcc=-Wno-switch
 
+# false positive
+SMOFF += signed
+
 .KEEP_STATE:
 
 all: $(PROG)
